
# Backend internal interview (rust) - improved  

Files layout 

```markdown
.
├── ABOUT.md           [Verification](ABOUT.md)
├── Cargo.lock
├── Cargo.toml
├── CHANGES.md         [Changes](CHANGES.md)
├── Home-Task_exercise_interview_Rust.pdf
├── LICENSE
├── README.md 
├── assets             [Assets files for rustdoc](assets)
│   ├── doc.css
│   ├── header.html
│   └── howto.md
├── howto.md           [How to use](howto.md)
├── input.txt
├── input_2.txt        [Second input for parallel](input2.txt)
├── layout.md          [Files layout](layout.md)
├── output_expected.txt
└── src                [source code](src)
   ├── defs     
   │   ├── cli.rs
   │   ├── config.rs
   │   ├── metric_data.rs
   │   └── metrics.rs
   ├── defs.rs
   ├── main.rs
   ├── metrics_consumer.rs
   └── tests.rs
```

**.cargo** for **rustdoc** documentation build.
**.gitignore** to exclude paths like **target**

